VERSION 5.00
Begin VB.Form frmAddEdit 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   3375
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4680
   Icon            =   "frmAddEdit.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3375
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Height          =   360
      Left            =   3045
      TabIndex        =   14
      Top             =   2910
      Width           =   1560
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   360
      Left            =   1425
      TabIndex        =   13
      Top             =   2910
      Width           =   1560
   End
   Begin VB.ComboBox cboWorker 
      Height          =   315
      Left            =   1620
      TabIndex        =   11
      Top             =   1995
      Width           =   2985
   End
   Begin VB.ComboBox cboFinder 
      Height          =   315
      Left            =   1620
      TabIndex        =   9
      Top             =   1620
      Width           =   2985
   End
   Begin VB.TextBox txtDesc 
      Height          =   315
      Left            =   1620
      TabIndex        =   7
      Top             =   1245
      Width           =   2970
   End
   Begin VB.TextBox txtDate 
      Alignment       =   1  'Right Justify
      Height          =   315
      Left            =   1620
      TabIndex        =   5
      Top             =   870
      Width           =   2970
   End
   Begin VB.TextBox txtName 
      Height          =   315
      Left            =   1620
      TabIndex        =   3
      Top             =   495
      Width           =   2970
   End
   Begin VB.TextBox txtID 
      Alignment       =   1  'Right Justify
      Height          =   315
      Left            =   1620
      TabIndex        =   1
      Top             =   120
      Width           =   2970
   End
   Begin VB.CheckBox chkDone 
      Height          =   255
      Left            =   135
      TabIndex        =   12
      Top             =   2400
      Width           =   1185
   End
   Begin VB.Line linSeparator 
      BorderColor     =   &H00FFFFFF&
      Index           =   1
      X1              =   -15
      X2              =   4695
      Y1              =   2775
      Y2              =   2775
   End
   Begin VB.Line linSeparator 
      BorderColor     =   &H80000010&
      BorderWidth     =   2
      Index           =   0
      X1              =   -30
      X2              =   4680
      Y1              =   2775
      Y2              =   2775
   End
   Begin VB.Label lblWorker 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   135
      TabIndex        =   10
      Top             =   2040
      Width           =   45
   End
   Begin VB.Label lblFinder 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   135
      TabIndex        =   8
      Top             =   1665
      Width           =   45
   End
   Begin VB.Label lblDesc 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   135
      TabIndex        =   6
      Top             =   1290
      Width           =   45
   End
   Begin VB.Label lblDate 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   135
      TabIndex        =   4
      Top             =   915
      Width           =   45
   End
   Begin VB.Label lblName 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   150
      TabIndex        =   2
      Top             =   540
      Width           =   45
   End
   Begin VB.Label lblID 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   150
      TabIndex        =   0
      Top             =   165
      Width           =   45
   End
End
Attribute VB_Name = "frmAddEdit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
Private Const EDITCAPTION  As String = ""
Private Const ADDCAPTION   As String = ""
'
Private Const ID           As String = "&ID:"
Private Const NAMEN        As String = "&:"
Private Const DATEN        As String = "&:"
Private Const DESCR        As String = "&:"
Private Const FINDER       As String = "&:"
Private Const WORKER       As String = "&:"
Private Const ISDONE       As String = "&?"

'
Private Const OK           As String = "&OK"
Private Const CANCEL       As String = "&"

Private Const FONTNAMEC    As String = "Tahoma"
Private Const FONTSIZEC = 8

Public Editing As Boolean
Public IsCancelled As Boolean

Private Sub cmdCancel_Click()
    IsCancelled = True
    Me.Hide
End Sub

Private Sub cmdOK_Click()
    IsCancelled = False
    Me.Hide
End Sub

Private Sub Form_Activate()
On Error Resume Next
    If Editing Then Me.Caption = EDITCAPTION Else Me.Caption = ADDCAPTION
End Sub

Private Sub Form_Load()
On Error Resume Next
    ' 
    Dim objCtrl As Control
    For Each objCtrl In Me
        DoEvents
        If Not (TypeOf objCtrl Is MSFlexGrid) Then
            objCtrl.Font.Name = FONTNAMEC
            objCtrl.Font.Size = FONTSIZEC
            objCtrl.FontName = FONTNAMEC
            objCtrl.FontSize = FONTSIZEC
        End If
    Next
    
    Me.lblDesc.Caption = DESCR
    Me.lblDate.Caption = DATEN
    Me.lblFinder.Caption = FINDER
    Me.lblID.Caption = ID
    Me.lblName.Caption = NAMEN
    Me.lblWorker.Caption = WORKER
    Me.chkDone.Caption = ISDONE
    
    Me.cmdCancel.Caption = CANCEL
    Me.cmdOK.Caption = OK
    
    Dim sWorkerFile As String, sTesterFile As String
    sWorkerFile = GetSetting("BugLog", "General Settings", _
    "WorkerFileName", "workerlist.txt")
    sTesterFile = GetSetting("BugLog", "General Settings", _
    "TesterFileName", "testerlist.txt")
    
    Dim lFile As Long, sLine As String
    lFile = FreeFile
    Err.Clear
    Open sWorkerFile For Input As #lFile
    If LOF(lFile) = 0 Or Err.Number <> 0 Then Exit Sub
    Do Until EOF(lFile)
        DoEvents
        sLine = vbNullString
        Line Input #lFile, sLine
        If Len(sLine) > 0 Then
            cboWorker.AddItem sLine
        End If
    Loop
    Close #lFile
    
    lFile = FreeFile
    Err.Clear
    Open sTesterFile For Input As #lFile
    If LOF(lFile) = 0 Or Err.Number <> 0 Then Exit Sub
    Do Until EOF(lFile)
        DoEvents
        sLine = vbNullString
        Line Input #lFile, sLine
        If Len(sLine) > 0 Then
            cboFinder.AddItem sLine
        End If
    Loop
    Close #lFile
    
    cboWorker.ListIndex = 0
    cboFinder.ListIndex = 0
    
    '  
    Err.Clear
    
End Sub
