VERSION 5.00
Begin VB.Form frmSettings 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   2055
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5640
   Icon            =   "frmSettings.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2055
   ScaleWidth      =   5640
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   360
      Left            =   2355
      TabIndex        =   9
      Top             =   1560
      Width           =   1560
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Height          =   360
      Left            =   3975
      TabIndex        =   10
      Top             =   1560
      Width           =   1560
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "..."
      Height          =   330
      Index           =   2
      Left            =   5160
      TabIndex        =   8
      Top             =   945
      Width           =   360
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "..."
      Height          =   330
      Index           =   1
      Left            =   5160
      TabIndex        =   5
      Top             =   540
      Width           =   360
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "..."
      Height          =   330
      Index           =   0
      Left            =   5160
      TabIndex        =   2
      Top             =   135
      Width           =   360
   End
   Begin VB.TextBox txtWorker 
      Height          =   330
      Left            =   2160
      TabIndex        =   7
      Top             =   945
      Width           =   2895
   End
   Begin VB.TextBox txtTester 
      Height          =   330
      Left            =   2160
      TabIndex        =   4
      Top             =   540
      Width           =   2895
   End
   Begin VB.TextBox txtInfo 
      Height          =   330
      Left            =   2160
      TabIndex        =   1
      Top             =   135
      Width           =   2895
   End
   Begin VB.Line linSeparator 
      BorderColor     =   &H00FFFFFF&
      Index           =   1
      X1              =   -60
      X2              =   5640
      Y1              =   1425
      Y2              =   1425
   End
   Begin VB.Label lblWorker 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   120
      TabIndex        =   6
      Top             =   990
      Width           =   45
   End
   Begin VB.Label lblTester 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   570
      Width           =   45
   End
   Begin VB.Label lblInfo 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   105
      TabIndex        =   0
      Top             =   180
      Width           =   45
   End
   Begin VB.Line linSeparator 
      BorderColor     =   &H80000010&
      BorderWidth     =   2
      Index           =   0
      X1              =   -75
      X2              =   5640
      Y1              =   1425
      Y2              =   1425
   End
End
Attribute VB_Name = "frmSettings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
Private Const BROWSE       As String = " ..."
Private Const TEXTFILTER   As String = "  (*.txt;*.dat)|*.txt;*.dat"
'
Private Const INFOFILE     As String = " &:"
Private Const TESTERFILE   As String = " &:"
Private Const WORKERFILE   As String = " &:"
'
Private Const OK           As String = "&OK"
Private Const CANCEL       As String = "&"
'
Private Const FONTNAMEC    As String = "Tahoma"
Private Const FONTSIZEC = 8
'
Private Const WNDCAP       As String = ""

Private Sub cmdBrowse_Click(Index As Integer)
On Error Resume Next
    Select Case Index
        Case 0
            BrowseForFile txtInfo, TEXTFILTER
        Case 1
            BrowseForFile txtTester, TEXTFILTER
        Case 2
            BrowseForFile txtWorker, TEXTFILTER
    End Select
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
On Error Resume Next
    SaveSetting "BugLog", "General Settings", _
        "DataFileName", Me.txtInfo.Text
    SaveSetting "BugLog", "General Settings", _
        "WorkerFileName", Me.txtWorker.Text
    SaveSetting "BugLog", "General Settings", _
        "TesterFileName", Me.txtTester.Text
    Unload Me
End Sub

Private Sub Form_Load()
On Error Resume Next
    ' 
    Dim objCtrl As Control
    For Each objCtrl In Me
        DoEvents
        If Not (TypeOf objCtrl Is MSFlexGrid) Then
            objCtrl.Font.Name = FONTNAMEC
            objCtrl.Font.Size = FONTSIZEC
            objCtrl.FontName = FONTNAMEC
            objCtrl.FontSize = FONTSIZEC
        End If
    Next
    Me.Caption = WNDCAP
    Me.lblInfo.Caption = INFOFILE
    Me.lblTester.Caption = TESTERFILE
    Me.lblWorker.Caption = WORKERFILE
    Me.cmdOK.Caption = OK
    Me.cmdCancel.Caption = CANCEL
    GetInfo
End Sub

Private Sub GetInfo()
On Error Resume Next
    Me.txtInfo.Text = GetSetting("BugLog", "General Settings", _
        "DataFileName", "buglog.txt")
    Me.txtWorker.Text = GetSetting("BugLog", "General Settings", _
        "WorkerFileName", "workerlist.txt")
    Me.txtTester.Text = GetSetting("BugLog", "General Settings", _
        "TesterFileName", "testerlist.txt")
End Sub

Private Sub BrowseForFile(target As Control, ffilter As String)
On Error Resume Next
    hOwner = Me.hWnd
    FileName = ""
    DialogTitle = BROWSE
    filter = ffilter
    ShowOpen
    If Len(FileName) > 0 Then target.Text = FileName
    FileName = ""
    hOwner = 0
End Sub
