VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "Msflxgrd.ocx"
Begin VB.Form frmMain 
   Caption         =   "BugLog Beta"
   ClientHeight    =   8550
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   11805
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   8550
   ScaleWidth      =   11805
   Begin VB.CommandButton cmdSettings 
      Height          =   405
      Left            =   5685
      TabIndex        =   6
      Top             =   8010
      Width           =   1800
   End
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   405
      Left            =   9915
      TabIndex        =   7
      Top             =   8010
      Width           =   1800
   End
   Begin VB.CommandButton cmdEdit 
      Height          =   405
      Left            =   1965
      TabIndex        =   4
      Top             =   8010
      Width           =   1800
   End
   Begin VB.CommandButton cmdDel 
      Height          =   405
      Left            =   3825
      TabIndex        =   5
      Top             =   8010
      Width           =   1800
   End
   Begin VB.CommandButton cmdAdd 
      Height          =   405
      Left            =   105
      TabIndex        =   3
      Top             =   8010
      Width           =   1800
   End
   Begin VB.PictureBox picContainer 
      Appearance      =   0  'Flat
      ForeColor       =   &H80000008&
      Height          =   7380
      Left            =   105
      ScaleHeight     =   7350
      ScaleWidth      =   11565
      TabIndex        =   1
      Top             =   495
      Width           =   11595
      Begin MSFlexGridLib.MSFlexGrid grdBugs 
         Height          =   7350
         Left            =   0
         TabIndex        =   2
         Top             =   0
         Width           =   11565
         _ExtentX        =   20399
         _ExtentY        =   12965
         _Version        =   393216
         Rows            =   1
         Cols            =   1
         GridColor       =   -2147483642
         GridColorFixed  =   -2147483642
         AllowBigSelection=   0   'False
         ScrollTrack     =   -1  'True
         FocusRect       =   0
         HighLight       =   2
         GridLines       =   2
         SelectionMode   =   1
         AllowUserResizing=   1
         BorderStyle     =   0
         Appearance      =   0
      End
   End
   Begin VB.Label lblList 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   150
      Width           =   45
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
Private Const ID           As String = "ID"
Private Const NAMEN        As String = ""
Private Const DATEN        As String = ""
Private Const DESCR        As String = ""
Private Const FINDER       As String = ""
Private Const WORKER       As String = ""
Private Const ISDONE       As String = "OK?"
'
Private Const YES          As String = ""
Private Const NO           As String = ""
'
Private Const WNDCAP       As String = "BugLog Beta"
Private Const VERSION      As String = ""
Private Const BUGSFOUND    As String = ":"
'
Private Const ADDBUG       As String = "& ..."
Private Const REMOVEBUG    As String = "& "
Private Const EDITBUG      As String = "&..."
Private Const SETTINGS     As String = "&..."
Private Const EXITP        As String = "&"
'
Private Const LISTOFBUGS   As String = "& :"
'
Private Const WISHTODEL    As String = "     ?"
'
Private Const DEF_WIDTH = 700
'
Private Const FONTNAMEC    As String = "Tahoma"
Private Const FONTNAMEP    As String = "Tahoma"
Private Const FONTCHARSETP = 204
Private Const FONTSIZEP = 9
Private Const FONTSIZEC = 8

'  
Dim sProjectName As String
Dim sProjectVersion As String
'  
Dim sFileName As String
'
Dim DefaultWidths(6) As Long

Private Sub cmdAdd_Click()
On Error Resume Next
    If frmAddEdit.Visible Then Exit Sub
    frmAddEdit.Show vbModal, Me
    If Not frmAddEdit.IsCancelled Then
        If Len(frmAddEdit.txtID.Text) = 0 Or Len(frmAddEdit.txtName.Text) = 0 Then Exit Sub
        grdBugs.Rows = grdBugs.Rows + 1
        grdBugs.TextMatrix(grdBugs.Rows - 1, 1) = frmAddEdit.txtID.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 2) = frmAddEdit.txtName.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 3) = frmAddEdit.txtDate.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 4) = frmAddEdit.txtDesc.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 5) = frmAddEdit.cboFinder.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 6) = frmAddEdit.cboWorker.Text
        grdBugs.TextMatrix(grdBugs.Rows - 1, 7) = _
        IIf(frmAddEdit.chkDone.Value = 1, YES, NO)
        SetSort
    End If
    Unload frmAddEdit
End Sub

Private Sub cmdDel_Click()
On Error Resume Next
    Dim rc As VbMsgBoxResult
    rc = MsgBox(WISHTODEL, vbYesNo + vbQuestion + vbDefaultButton2)
    If rc = vbYes Then
        grdBugs.RemoveItem (grdBugs.RowSel)
        SetSort
    End If
End Sub

Private Sub cmdEdit_Click()
On Error Resume Next
    If frmAddEdit.Visible Then Exit Sub
    Load frmAddEdit
    
    frmAddEdit.Editing = True
    
    frmAddEdit.txtID.Text = grdBugs.TextMatrix(grdBugs.RowSel, 1)
    frmAddEdit.txtName.Text = grdBugs.TextMatrix(grdBugs.RowSel, 2)
    frmAddEdit.txtDate.Text = grdBugs.TextMatrix(grdBugs.RowSel, 3)
    frmAddEdit.txtDesc.Text = grdBugs.TextMatrix(grdBugs.RowSel, 4)
    frmAddEdit.cboFinder.Text = grdBugs.TextMatrix(grdBugs.RowSel, 5)
    frmAddEdit.cboWorker.Text = grdBugs.TextMatrix(grdBugs.RowSel, 6)
    frmAddEdit.chkDone.Value = _
    IIf(grdBugs.TextMatrix(grdBugs.RowSel, 7) = YES, 1, 0)
    
    frmAddEdit.Show vbModal, Me
    If Not frmAddEdit.IsCancelled Then
        If Len(frmAddEdit.txtID.Text) = 0 Or Len(frmAddEdit.txtName.Text) = 0 Then Exit Sub
        grdBugs.TextMatrix(grdBugs.RowSel, 1) = frmAddEdit.txtID.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 2) = frmAddEdit.txtName.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 3) = frmAddEdit.txtDate.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 4) = frmAddEdit.txtDesc.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 5) = frmAddEdit.cboFinder.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 6) = frmAddEdit.cboWorker.Text
        grdBugs.TextMatrix(grdBugs.RowSel, 7) = _
        IIf(frmAddEdit.chkDone.Value = 1, YES, NO)
        SetSort
    End If
    Unload frmAddEdit
End Sub

Private Sub cmdExit_Click()
On Error Resume Next
    Unload Me
End Sub

Private Sub cmdSettings_Click()
On Error Resume Next
    frmSettings.Show vbModal, Me
End Sub

Private Sub Form_Load()
On Error Resume Next
    '
    Dim lNum As Long
    Dim sLine As String, bDataBegun As Boolean
    Dim i As Long, lRc As Long
    
    DefaultWidths(0) = 600
    DefaultWidths(1) = 2300
    DefaultWidths(2) = 1200
    DefaultWidths(3) = 4400
    DefaultWidths(4) = 1500
    DefaultWidths(5) = 1500
    DefaultWidths(6) = 700
    
    '  
    With grdBugs
        .Cols = 8
        .TextMatrix(0, 1) = ID
        .TextMatrix(0, 2) = NAMEN
        .TextMatrix(0, 3) = DATEN
        .TextMatrix(0, 4) = DESCR
        .TextMatrix(0, 5) = FINDER
        .TextMatrix(0, 6) = WORKER
        .TextMatrix(0, 7) = ISDONE
        .Font.Name = FONTNAMEP
        .Font.Size = FONTSIZEP
        .Font.Charset = FONTCHARSETP
        .ColWidth(0) = 0
    End With
    
    GetSettings
    
    ' 
    lblList.Caption = LISTOFBUGS
    cmdAdd.Caption = ADDBUG
    cmdDel.Caption = REMOVEBUG
    cmdEdit.Caption = EDITBUG
    cmdSettings.Caption = SETTINGS
    cmdExit.Caption = EXITP
    
    ' 
    Dim objCtrl As Control
    For Each objCtrl In Me
        DoEvents
        If Not (TypeOf objCtrl Is MSFlexGrid) Then
            objCtrl.Font.Name = FONTNAMEC
            objCtrl.Font.Size = FONTSIZEC
            objCtrl.FontName = FONTNAMEC
            objCtrl.FontSize = FONTSIZEC
        End If
    Next
    
    '  
    sFileName = GetSetting("BugLog", "General Settings", _
    "DataFileName", "buglog.txt")
    
    '   
    lNum = FreeFile
    Open sFileName For Input As #lNum
    If Err <> 0 Then Err.Clear: Exit Sub
    If LOF(lNum) = 0 Then Exit Sub
    
    Do Until EOF(lNum)
        DoEvents
        ' 
        Line Input #lNum, sLine
        If Len(sLine) > 0 Then
            If bDataBegun Then
                '   
                Dim arrLines() As String, lUb As Long
                '      
                arrLines = Split(sLine, vbTab)
                Err.Clear
                '  
                lUb = UBound(arrLines)
                If Err.Number <> 0 Then lUb = -1
                Err.Clear
                If lUb <> -1 Then
                    '  
                    grdBugs.Rows = grdBugs.Rows + 1
                    ' 
                    lRc = lRc + 1
                    For i = 0 To lUb
                        DoEvents
                        ' 
                        If i = lUb Then
                            If arrLines(i) = "+" Then
                                grdBugs.TextMatrix(lRc, i + 1) = YES
                            Else
                                grdBugs.TextMatrix(lRc, i + 1) = NO
                            End If
                        Else
                            grdBugs.TextMatrix(lRc, i + 1) = arrLines(i)
                        End If
                    Next i
                End If
            Else
                '   
                If UCase$(sLine) = "<!DATA>" Then
                    '  "" 
                    bDataBegun = True
                End If
                
                If sLine Like "<!*:%*%>*" Then
                    '-
                    Dim LF As Long, lF2 As Long, lF3 As String, lF4 As String
                    Dim sProp As String, sVal As String
                    
                    sProp = vbNullString
                    sVal = vbNullString
                    LF = 0
                    lF2 = 0
                    lF3 = 0
                    lF4 = 0
                    
                    '  
                    LF = InStr(1, sLine, "%")
                    If LF > 0 Then
                        lF2 = InStr(LF + 1, sLine, "%")
                        If lF2 > 0 Then
                            sVal = Mid(sLine, LF + 1, lF2 - LF - 1)
                        End If
                    End If
                    '  
                    lF3 = InStr(1, sLine, "<!")
                    If lF3 > 0 Then
                        lF4 = InStr(lF3 + 1, sLine, ":%")
                        If lF4 > 0 Then
                            sProp = Mid(sLine, lF3 + 2, lF4 - lF3 - 2)
                        End If
                    End If
                    
                    '  
                    Select Case UCase$(sProp)
                        Case "NAME"
                            sProjectName = sVal
                        Case "VERSION"
                            sProjectVersion = sVal
                    End Select
                    
                End If
            End If
        End If
    Loop
    Close lNum
    
    '  
    Me.Caption = WNDCAP & " - [" & sProjectName & " <" & VERSION & " " & _
    sProjectVersion & ">] (" & BUGSFOUND & " " & Trim$(Str$(lRc)) & ")"
    
    '  
    SetSort
        
    '  
    Err.Clear
    ', !
End Sub

Private Sub Form_Resize()
On Error Resume Next
    ' 
    picContainer.Top = lblList.Top + lblList.Height + 150
    picContainer.Height = Me.Height - picContainer.Top - 1200
    picContainer.Width = Me.Width - (picContainer.Left * 2) - 120
    '
    grdBugs.Width = picContainer.Width - 20
    grdBugs.Height = picContainer.Height - 20
    '  - 
    cmdExit.Top = Me.Height - cmdExit.Height - 650
    cmdEdit.Top = Me.Height - cmdExit.Height - 650
    cmdDel.Top = Me.Height - cmdExit.Height - 650
    cmdAdd.Top = Me.Height - cmdExit.Height - 650
    cmdSettings.Top = Me.Height - cmdExit.Height - 650
    ' 
    cmdExit.Left = picContainer.Left + picContainer.Width - cmdExit.Width + 10
    ' 
    cmdEdit.Left = cmdAdd.Left + cmdAdd.Width + 60
    cmdDel.Left = cmdEdit.Left + cmdEdit.Width + 60
    cmdSettings.Left = cmdDel.Left + cmdDel.Width + 60
End Sub

Private Sub Form_Unload(CANCEL As Integer)
On Error Resume Next
    '  
    Dim lFile As Long
    Dim i As Long, j As Long
    Dim sText As String
    '  
    SaveSettings
    '   
    lFile = FreeFile
    Open sFileName For Output As #lFile
    Print #lFile, "<!NAME:%" & sProjectName & "%>"
    Print #lFile, "<!VERSION:%" & sProjectVersion & "%>"
    Print #lFile, "<!DATA>"
    '   
    For i = 1 To grdBugs.Rows - 1
        DoEvents
        '...  
        For j = 1 To grdBugs.Cols - 1
            sText = vbNullString
            '  
            sText = grdBugs.TextMatrix(i, j)
            '  ...
            If j = grdBugs.Cols - 1 Then
                ReplTxt YES, sText, "+"
                ReplTxt NO, sText, "-"
            End If
            '   ,   :
            Print #lFile, sText;
            If j <> grdBugs.Cols - 1 Then Print #lFile, vbTab;
        Next j
        If i <> grdBugs.Rows - 1 Then Print #lFile, vbCrLf;
    Next i
    ' 
    Close #lFile
    'Das ist Alles!
End Sub

Private Sub ReplTxt(Expression As String, Where As String, Replace As String)
'-  VBA.Replace
On Error Resume Next
    Dim sTmp As String
    sTmp = Where
    sTmp = VBA.Replace(sTmp, Expression, Replace, , , vbTextCompare)
    If sTmp = Expression Then sTmp = Where
    Where = sTmp
    sTmp = ""
End Sub

Private Sub SaveSettings()
' 
On Error Resume Next
    '
    SaveSetting "BugLog", "Window Settings", "WindowTop", Me.Top
    SaveSetting "BugLog", "Window Settings", "WindowLeft", Me.Left
    SaveSetting "BugLog", "Window Settings", "WindowWidth", Me.Width
    SaveSetting "BugLog", "Window Settings", "WindowHeight", Me.Height
    '
    Dim i As Long
    For i = 1 To grdBugs.Cols - 1
        DoEvents
        SaveSetting "BugLog", "BugGrid Settings", "Width" & _
        Trim$(Str$(i)), grdBugs.ColWidth(i)
    Next i
End Sub

Private Sub GetSettings()
' 
On Error Resume Next
    '
    Me.Top = GetSetting("BugLog", "Window Settings", "WindowTop", 200)
    Me.Left = GetSetting("BugLog", "Window Settings", "WindowLeft", 200)
    Me.Width = GetSetting("BugLog", "Window Settings", "WindowWidth", 11925)
    Me.Height = GetSetting("BugLog", "Window Settings", "WindowHeight", 9060)
    '
    Dim i As Long, lDf As Long
    For i = 1 To grdBugs.Cols - 1
        DoEvents
        Err.Clear
        lDf = DefaultWidths(i - 1)
        If Err.Number <> 0 Then lDf = DEF_WIDTH
        Err.Clear
        grdBugs.ColWidth(i) = GetSetting("BugLog", "BugGrid Settings", "Width" & _
        Trim$(Str$(i)), lDf)
    Next i
End Sub

Private Sub SetSort()
' 
On Error Resume Next
    grdBugs.ColSel = 6
    grdBugs.Sort = flexSortGenericDescending
End Sub

Private Sub grdBugs_DblClick()
    If grdBugs.Rows = 1 Then Exit Sub
    cmdEdit_Click
End Sub
